<!DOCTYPE html>
<html lang="en"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Balance Sheet</title>
</head>
<body>
<main layout:fragment="main" class="container-xxl bd-gutter mt-3 my-md-4 bd-layout">
    <div th:include="sidebar/sidebar_journal::sidebar_journal" th:remove="tag">
        sidebar
    </div>
    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="card shadow-sm">
                    <div class="card-header">
                        <h5>Ledger</h5>
                    </div>
                    <div class="card-body">
                        <div class="row">
                            <form action="">
                                <div class="row mb-2">
                                    <div class="col-md-6">
                                        <label>Tanggal Mulai</label>
                                        <input type="date" name="startDate" th:value="${startDate}" class="form-control">
                                    </div>
                                    <div class="col-md-6">
                                        <label>Tanggal Akhir</label>
                                        <input type="date" name="endDate" th:value="${endDate}" class="form-control">
                                    </div>
                                </div>
                                <div class="row mb-3">
                                    <div class="col-md-12 text-center">
                                        <button type="submit" class="btn btn-primary">Search</button>
                                    </div>
                                </div>
                            </form>
                            <div class="col-md-12 mb-2">
                                Data yang tampil dari <b th:text="${#temporals.format(startDate, 'dd MMMM YYYY')}">1 Januari 2023</b> s.d <b th:text="${#temporals.format(endDate, 'dd MMMM YYYY')}">2 Januari 20235</b>
                            </div>
                            <div class="table-responsive">
                                <table class="table table-striped">
                                    <thead>
                                    <tr>
                                        <th>Account</th>
                                        <th>Debet</th>
                                        <th>Credit</th>
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <tr th:each="data, row:${ledgerDtoArrayList}">
                                        <td th:text="${data.account}"></td>
                                        <td>
                                            <span th:text="${#numbers.formatDecimal(data.debet,  0, 'POINT', 2, 'COMMA')}"></span>
                                        </td>
                                        <td>
                                            <span th:text="${#numbers.formatDecimal(data.credit,  0, 'POINT', 2, 'COMMA')}"></span>
                                        </td>
                                    </tr>
                                    </tbody>
                                    <tfoot>
                                    <tr>
                                        <th>Total</th>
                                        <th></th>
                                        <th></th>
                                    </tr>
                                    </tfoot>
                                </table>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </main>
</main>
</body>
</html>